Name:           swai
Version:        0.2.1
Release:        1%{?dist}
Summary:        Runtime that turns web apps into native feeling electron based apps

%global debug_package %{nil}

License:        GPL-3.0-or-later
URL:            https://gitlab.com/stillhq/stillOS/swai
Source0:        https://gitlab.com/stillhq/stillOS/swai/-/archive/master/%{name}-master.zip

Requires:    bash
Requires:    python3
BuildRequires:  nodejs >= 12
BuildRequires:  npm
BuildRequires:  make

%description
Runtime that turns web apps into native feeling electron based apps

%prep
%autosetup -n swai-master

%build
echo "Running npm install..."
# Navigate into the extracted source directory
cd %{_builddir}/%{name}-master

%install

# Change DRM electron dependency to regular electron on non-x86
%ifnarch x86_64
sed -i 's/github:castlabs\/electron-releases#v\(.*\)+wvcus/\^\1/' package.json
%endif

# Run npm install to generate node_modules
npm install

# Prevent error for the shabang in rpm
%ifarch x86_64
sed -i 's|^#!/usr/bin/env python$|#!/usr/bin/python3|' node_modules/electron/vmp-resign.py
%endif

# Removing gitignore to prevent unknown file error
rm -rf .gitignore

echo "Installing files..."
# Create destination directories in the build root
install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_bindir}

# Copy the application directory (including node_modules)
# Using 'cp -a' to preserve permissions and symbolic links
cp -a %{_builddir}/swai-master %{buildroot}%{_datadir}/%{name}

# Install swai.sh to /bin/swai
install -m 755 %{_builddir}/swai-master/swai.sh %{buildroot}%{_bindir}/swai

%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_bindir}/swai

%changelog
* Sun May 04 2025 Cameron <cameron@stillhq.io> - 0.1.0-1
- Initial RPM package